c_dspnt3s(3NCARG)

NAME
c_dspnt3s - interpolate single precision 3D data at specified points

FUNCTION PROTOTYPE
void c_dspnt3s(int, float [], float [], float [], float[]
int, float [], float [], float [], float *, int *);

SYNOPSIS
void c_dspnt3d(int n, float xi[], float yi[], float zi[], float ui[],
               int m, float xo[], float yo[], float zo[], float *uo,
               int *ier)

DESCRIPTION

n   The number of input data points.

xi  An array containing the X coordinates of the input data points.

yi  An array containing the Y coordinates of the input data points.

zi  An array containing the Z coordinates of the input data points.

ui  An array containing the functional values of the input data points. That is, ui[l] is the value of the input function at coordinate (xi[l],yi[l],zi[l]), for 0 <= l < n .

m   The number of output data points (this may be "1").

xo  An array of dimension m containing the X coordinates of the output data. The values in xo may be in any order.

yo  An array of dimension m containing the Y coordinates of the output data. The values in xo may be in any order.

zo  An array of dimension m containing the Z coordinates of the output data. The values in xo may be in any order.

uo  A pointer to a float. Space for m floats is allocated for uo by dspnt3d. zo[i] is the interpolated value at point (xo[i],yo[i],zo[i]) for 0 <= i < n .

ier An error return value. If *ier is returned as 0, then no errors were detected. If *ier is non-zero, then refer to the man page for dsgrid_errors.

USAGE
This function is called to interpolate single precision 3D data at a specified point or points.

ACCESS
To use c_dspnt3s, load the NCAR Graphics library ngmath.

SEE ALSO
dsgrid, dsgrid_params.

Complete documentation for Dsgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/dsgrid/dshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.